Skip to main content
GET
List audit log entries

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Headers

x-coderabbitai-api-key
string
required

API key for authentication

Query Parameters

org_id
string

Workspace-scoped API tokens only. When provided, returns audit logs for that single git-provider organization within the token's workspace; when omitted, returns workspace-wide audit logs (all organizations plus workspace-level events). Ignored for organization and self-hosted keys.

Search audit logs by actor name (case-insensitive partial match)

Maximum string length: 200
actions
enum<string>[]

Comma-separated list of action types to filter by (max 50).

Available options:
create,
delete,
update,
assign,
unassign,
cancellation_initiated,
cancellation_confirmed
resource_types
enum<string>[]

Comma-separated list of resource types to filter by (max 50).

Available options:
organization,
repository,
subscription_seat,
cr_config,
subscription,
repo_config,
user_role,
api_key,
payment_source,
custom_certificate
date_from
string<date-time>

Start date for the query range (ISO 8601 format)

Example:

"2026-01-01T00:00:00.000Z"

date_to
string<date-time>

End date for the query range (ISO 8601 format)

Example:

"2026-03-19T23:59:59.999Z"

page
integer
default:1

Page number for pagination

Required range: x >= 1
page_size
integer
default:10

Number of items per page

Required range: 1 <= x <= 100

Response

Successfully retrieved audit log entries

data
object[]
pagination
object
filter_options
object